## org.eclipse.datatools.modelbase.dbdefinition
Interface PredefinedDataTypeDefinition

All Known Implementing Classes:
  PredefinedDataTypeDefinitionImpl

    public interface PredefinedDataTypeDefinition

A representation of the model object 'Predefined Data Type Definition'.

The following features are supported:

- `Leading Field Qualifier Definition`
- `Trailing Field Qualifier Definition`
- `Default Trailing Field Qualifier Definition`
- `Default Leading Field Qualifier Definition`
- `Length Supported`
- `Scale Supported`
- `Precision Supported`
- `Key Constraint Supported`
- `Identity Supported`
- `Multiple Columns Supported`
- `Nullable Supported`
- `Default Supported`
- `Clustering Supported`
- `Fill Factor Supported`
- `Bit Data Supported`
- `Maximum Value`
- `Minimum Value`
- `Maximum Length`
- `Maximum Precision`
- `Maximum Scale`
- `Minimum Scale`
- `Default Value Types`
- `Primitive Type`
- `Name`
- `Jdbc Enum Type`
- `Character Set`
- `Encoding Scheme`
- `Character Set Suffix`
- `Encoding Scheme Suffix`
- `Java Class Name`
- `Default Length`
- `Default Precision`
- `Default Scale`
- `Cutoff Precision`
- `Length Unit`
- `Ordering Supported`
- `Grouping Supported`
- `Display Name`
- `Display Name Supported`
- `Leading Field Qualifier Supported`
- `Trailing Field Qualifier Supported`
- `Field Qualifier Separator`
- `Large Value Specifier Supported`
- `Large Value Specifier Name`
- `Large Value Specifier Length`

See Also:
  `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition()`

Method Summary
`EList` `getCharacterSet()` Returns the value of the 'Character Set' attribute list.
`java.lang.String` `getCharacterSetSuffix()` Returns the value of the 'Character Set Suffix' attribute.
`int` `getCutoffPrecision()` Returns the value of the 'Cutoff Precision' attribute.
`FieldQualifierDefinition` `getDefaultLeadingFieldQualifierDefinition()` Returns the value of the 'Default Leading Field Qualifier Definition' reference.
`int` `getDefaultLength()` Returns the value of the 'Default Length' attribute.
`int` `getDefaultPrecision()` Returns the value of the 'Default Precision' attribute.
`int` `getDefaultScale()` Returns the value of the 'Default Scale' attribute.
`FieldQualifierDefinition` `getDefaultTrailingFieldQualifierDefinition()` Returns the value of the 'Default Trailing Field Qualifier Definition' reference.
`EList` `getDefaultValueTypes()` Returns the value of the 'Default Value Types' attribute list.
`java.lang.String` `getDisplayName()` Returns the value of the 'Display Name' attribute.
`EList` `getEncodingScheme()` Returns the value of the 'Encoding Scheme' attribute list.
`java.lang.String` `getEncodingSchemeSuffix()` Returns the value of the 'Encoding Scheme Suffix' attribute.
`java.lang.String` `getFieldQualifierSeparator()` Returns the value of the 'Field Qualifier Separator' attribute.
`java.lang.String` `getJavaClassName()` Returns the value of the 'Java Class Name' attribute.
`int` `getJdbcEnumType()` Returns the value of the 'Jdbc Enum Type' attribute.
`int` `getLargeValueSpecifierLength()` Returns the value of the 'Large Value Specifier Length' attribute.
`java.lang.String` `getLargeValueSpecifierName()` Returns the value of the 'Large Value Specifier Name' attribute.
`EList` `getLeadingFieldQualifierDefinition()` Returns the value of the 'Leading Field Qualifier Definition' containment reference list.
`LengthUnit` `getLengthUnit()` Returns the value of the 'Length Unit' attribute.
`int` `getMaximumLength()` Returns the value of the 'Maximum Length' attribute.
`int` `getMaximumPrecision()` Returns the value of the 'Maximum Precision' attribute.
`int` `getMaximumScale()` Returns the value of the 'Maximum Scale' attribute.
`long` `getMaximumValue()` Returns the value of the 'Maximum Value' attribute.
`int` `getMinimumScale()` Returns the value of the 'Minimum Scale' attribute.
`long` `getMinimumValue()` Returns the value of the 'Minimum Value' attribute.
`EList` `getName()` Returns the value of the 'Name' attribute list.
`PrimitiveType` `getPrimitiveType()` Returns the value of the 'Primitive Type' attribute.
`EList` `getTrailingFieldQualifierDefinition()` Returns the value of the 'Trailing Field Qualifier Definition' containment reference list.
`boolean` `isBitDataSupported()` Returns the value of the 'Bit Data Supported' attribute.
`boolean` `isClusteringSupported()` Returns the value of the 'Clustering Supported' attribute.
`boolean` `isDefaultSupported()` Returns the value of the 'Default Supported' attribute.
`boolean` `isDisplayNameSupported()` Returns the value of the 'Display Name Supported' attribute.
`boolean` `isFillFactorSupported()` Returns the value of the 'Fill Factor Supported' attribute.
`boolean` `isGroupingSupported()` Returns the value of the 'Grouping Supported' attribute.
`boolean` `isIdentitySupported()` Returns the value of the 'Identity Supported' attribute.
`boolean` `isKeyConstraintSupported()` Returns the value of the 'Key Constraint Supported' attribute.
`boolean` `isLargeValueSpecifierSupported()` Returns the value of the 'Large Value Specifier Supported' attribute.
`boolean` `isLeadingFieldQualifierSupported()` Returns the value of the 'Leading Field Qualifier Supported' attribute.
`boolean` `isLengthSupported()` Returns the value of the 'Length Supported' attribute.
`boolean` `isMultipleColumnsSupported()` Returns the value of the 'Multiple Columns Supported' attribute.
`boolean` `isNullableSupported()` Returns the value of the 'Nullable Supported' attribute.
`boolean` `isOrderingSupported()` Returns the value of the 'Ordering Supported' attribute.
`boolean` `isPrecisionSupported()` Returns the value of the 'Precision Supported' attribute.
`boolean` `isScaleSupported()` Returns the value of the 'Scale Supported' attribute.
`boolean` `isTrailingFieldQualifierSupported()` Returns the value of the 'Trailing Field Qualifier Supported' attribute.
`void` `setBitDataSupported(boolean value)` Sets the value of the '`Bit Data Supported`' attribute.
`void` `setCharacterSetSuffix(java.lang.String value)` Sets the value of the '`Character Set Suffix`' attribute.
`void` `setClusteringSupported(boolean value)` Sets the value of the '`Clustering Supported`' attribute.
`void` `setCutoffPrecision(int value)` Sets the value of the '`Cutoff Precision`' attribute.
`void` `setDefaultLeadingFieldQualifierDefinition(FieldQualifierDefinition value)` Sets the value of the '`Default Leading Field Qualifier Definition`' reference.
`void` `setDefaultLength(int value)` Sets the value of the '`Default Length`' attribute.
`void` `setDefaultPrecision(int value)` Sets the value of the '`Default Precision`' attribute.
`void` `setDefaultScale(int value)` Sets the value of the '`Default Scale`' attribute.
`void` `setDefaultSupported(boolean value)` Sets the value of the '`Default Supported`' attribute.
`void` `setDefaultTrailingFieldQualifierDefinition(FieldQualifierDefinition value)` Sets the value of the '`Default Trailing Field Qualifier Definition`' reference.
`void` `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute.
`void` `setDisplayNameSupported(boolean value)` Sets the value of the '`Display Name Supported`' attribute.
`void` `setEncodingSchemeSuffix(java.lang.String value)` Sets the value of the '`Encoding Scheme Suffix`' attribute.
`void` `setFieldQualifierSeparator(java.lang.String value)` Sets the value of the '`Field Qualifier Separator`' attribute.
`void` `setFillFactorSupported(boolean value)` Sets the value of the '`Fill Factor Supported`' attribute.
`void` `setGroupingSupported(boolean value)` Sets the value of the '`Grouping Supported`' attribute.
`void` `setIdentitySupported(boolean value)` Sets the value of the '`Identity Supported`' attribute.
`void` `setJavaClassName(java.lang.String value)` Sets the value of the '`Java Class Name`' attribute.
`void` `setJdbcEnumType(int value)` Sets the value of the '`Jdbc Enum Type`' attribute.
`void` `setKeyConstraintSupported(boolean value)` Sets the value of the '`Key Constraint Supported`' attribute.
`void` `setLargeValueSpecifierLength(int value)` Sets the value of the '`Large Value Specifier Length`' attribute.
`void` `setLargeValueSpecifierName(java.lang.String value)` Sets the value of the '`Large Value Specifier Name`' attribute.
`void` `setLargeValueSpecifierSupported(boolean value)` Sets the value of the '`Large Value Specifier Supported`' attribute.
`void` `setLeadingFieldQualifierSupported(boolean value)` Sets the value of the '`Leading Field Qualifier Supported`' attribute.
`void` `setLengthSupported(boolean value)` Sets the value of the '`Length Supported`' attribute.
`void` `setLengthUnit(LengthUnit value)` Sets the value of the '`Length Unit`' attribute.
`void` `setMaximumLength(int value)` Sets the value of the '`Maximum Length`' attribute.
`void` `setMaximumPrecision(int value)` Sets the value of the '`Maximum Precision`' attribute.
`void` `setMaximumScale(int value)` Sets the value of the '`Maximum Scale`' attribute.
`void` `setMaximumValue(long value)` Sets the value of the '`Maximum Value`' attribute.
`void` `setMinimumScale(int value)` Sets the value of the '`Minimum Scale`' attribute.
`void` `setMinimumValue(long value)` Sets the value of the '`Minimum Value`' attribute.
`void` `setMultipleColumnsSupported(boolean value)` Sets the value of the '`Multiple Columns Supported`' attribute.
`void` `setNullableSupported(boolean value)` Sets the value of the '`Nullable Supported`' attribute.
`void` `setOrderingSupported(boolean value)` Sets the value of the '`Ordering Supported`' attribute.
`void` `setPrecisionSupported(boolean value)` Sets the value of the '`Precision Supported`' attribute.
`void` `setPrimitiveType(PrimitiveType value)` Sets the value of the '`Primitive Type`' attribute.
`void` `setScaleSupported(boolean value)` Sets the value of the '`Scale Supported`' attribute.
`void` `setTrailingFieldQualifierSupported(boolean value)` Sets the value of the '`Trailing Field Qualifier Supported`' attribute.

Method Detail

### getLeadingFieldQualifierDefinition

    EList getLeadingFieldQualifierDefinition()

  Returns the value of the 'Leading Field Qualifier Definition' containment reference list. The list contents are of type `FieldQualifierDefinition`.

  If the meaning of the 'Leading Field Qualifier Definition' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Leading Field Qualifier Definition' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_LeadingFieldQualifierDefinition()`

### getTrailingFieldQualifierDefinition

    EList getTrailingFieldQualifierDefinition()

  Returns the value of the 'Trailing Field Qualifier Definition' containment reference list. The list contents are of type `FieldQualifierDefinition`.

  If the meaning of the 'Trailing Field Qualifier Definition' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Trailing Field Qualifier Definition' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_TrailingFieldQualifierDefinition()`

### getDefaultTrailingFieldQualifierDefinition

    FieldQualifierDefinition getDefaultTrailingFieldQualifierDefinition()

  Returns the value of the 'Default Trailing Field Qualifier Definition' reference.

  If the meaning of the 'Default Trailing Field Qualifier Definition' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Trailing Field Qualifier Definition' reference.
  See Also:
    `setDefaultTrailingFieldQualifierDefinition(FieldQualifierDefinition)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultTrailingFieldQualifierDefinition()`

### setDefaultTrailingFieldQualifierDefinition

    void setDefaultTrailingFieldQualifierDefinition(FieldQualifierDefinition value)

  Sets the value of the '`Default Trailing Field Qualifier Definition`' reference.

  Parameters:
    `value` - the new value of the 'Default Trailing Field Qualifier Definition' reference.
  See Also:
    `getDefaultTrailingFieldQualifierDefinition()`

### getDefaultLeadingFieldQualifierDefinition

    FieldQualifierDefinition getDefaultLeadingFieldQualifierDefinition()

  Returns the value of the 'Default Leading Field Qualifier Definition' reference.

  If the meaning of the 'Default Leading Field Qualifier Definition' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Leading Field Qualifier Definition' reference.
  See Also:
    `setDefaultLeadingFieldQualifierDefinition(FieldQualifierDefinition)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultLeadingFieldQualifierDefinition()`

### setDefaultLeadingFieldQualifierDefinition

    void setDefaultLeadingFieldQualifierDefinition(FieldQualifierDefinition value)

  Sets the value of the '`Default Leading Field Qualifier Definition`' reference.

  Parameters:
    `value` - the new value of the 'Default Leading Field Qualifier Definition' reference.
  See Also:
    `getDefaultLeadingFieldQualifierDefinition()`

### isLengthSupported

    boolean isLengthSupported()

  Returns the value of the 'Length Supported' attribute.

  If the meaning of the 'Length Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Length Supported' attribute.
  See Also:
    `setLengthSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_LengthSupported()`

### setLengthSupported

    void setLengthSupported(boolean value)

  Sets the value of the '`Length Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Length Supported' attribute.
  See Also:
    `isLengthSupported()`

### isScaleSupported

    boolean isScaleSupported()

  Returns the value of the 'Scale Supported' attribute.

  If the meaning of the 'Scale Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scale Supported' attribute.
  See Also:
    `setScaleSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_ScaleSupported()`

### setScaleSupported

    void setScaleSupported(boolean value)

  Sets the value of the '`Scale Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Scale Supported' attribute.
  See Also:
    `isScaleSupported()`

### isPrecisionSupported

    boolean isPrecisionSupported()

  Returns the value of the 'Precision Supported' attribute.

  If the meaning of the 'Precision Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Precision Supported' attribute.
  See Also:
    `setPrecisionSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_PrecisionSupported()`

### setPrecisionSupported

    void setPrecisionSupported(boolean value)

  Sets the value of the '`Precision Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Precision Supported' attribute.
  See Also:
    `isPrecisionSupported()`

### isKeyConstraintSupported

    boolean isKeyConstraintSupported()

  Returns the value of the 'Key Constraint Supported' attribute.

  If the meaning of the 'Key Constraint Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Key Constraint Supported' attribute.
  See Also:
    `setKeyConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_KeyConstraintSupported()`

### setKeyConstraintSupported

    void setKeyConstraintSupported(boolean value)

  Sets the value of the '`Key Constraint Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Key Constraint Supported' attribute.
  See Also:
    `isKeyConstraintSupported()`

### isIdentitySupported

    boolean isIdentitySupported()

  Returns the value of the 'Identity Supported' attribute.

  If the meaning of the 'Identity Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Supported' attribute.
  See Also:
    `setIdentitySupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_IdentitySupported()`

### setIdentitySupported

    void setIdentitySupported(boolean value)

  Sets the value of the '`Identity Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Identity Supported' attribute.
  See Also:
    `isIdentitySupported()`

### isMultipleColumnsSupported

    boolean isMultipleColumnsSupported()

  Returns the value of the 'Multiple Columns Supported' attribute.

  If the meaning of the 'Multiple Columns Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Multiple Columns Supported' attribute.
  See Also:
    `setMultipleColumnsSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MultipleColumnsSupported()`

### setMultipleColumnsSupported

    void setMultipleColumnsSupported(boolean value)

  Sets the value of the '`Multiple Columns Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Multiple Columns Supported' attribute.
  See Also:
    `isMultipleColumnsSupported()`

### isNullableSupported

    boolean isNullableSupported()

  Returns the value of the 'Nullable Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Nullable Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nullable Supported' attribute.
  See Also:
    `setNullableSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_NullableSupported()`

### setNullableSupported

    void setNullableSupported(boolean value)

  Sets the value of the '`Nullable Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Nullable Supported' attribute.
  See Also:
    `isNullableSupported()`

### isDefaultSupported

    boolean isDefaultSupported()

  Returns the value of the 'Default Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Default Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Supported' attribute.
  See Also:
    `setDefaultSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultSupported()`

### setDefaultSupported

    void setDefaultSupported(boolean value)

  Sets the value of the '`Default Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Default Supported' attribute.
  See Also:
    `isDefaultSupported()`

### isClusteringSupported

    boolean isClusteringSupported()

  Returns the value of the 'Clustering Supported' attribute.

  If the meaning of the 'Clustering Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Clustering Supported' attribute.
  See Also:
    `setClusteringSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_ClusteringSupported()`

### setClusteringSupported

    void setClusteringSupported(boolean value)

  Sets the value of the '`Clustering Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Clustering Supported' attribute.
  See Also:
    `isClusteringSupported()`

### isFillFactorSupported

    boolean isFillFactorSupported()

  Returns the value of the 'Fill Factor Supported' attribute.

  If the meaning of the 'Fill Factor Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fill Factor Supported' attribute.
  See Also:
    `setFillFactorSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_FillFactorSupported()`

### setFillFactorSupported

    void setFillFactorSupported(boolean value)

  Sets the value of the '`Fill Factor Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Fill Factor Supported' attribute.
  See Also:
    `isFillFactorSupported()`

### isBitDataSupported

    boolean isBitDataSupported()

  Returns the value of the 'Bit Data Supported' attribute.

  If the meaning of the 'Bit Data Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bit Data Supported' attribute.
  See Also:
    `setBitDataSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_BitDataSupported()`

### setBitDataSupported

    void setBitDataSupported(boolean value)

  Sets the value of the '`Bit Data Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Bit Data Supported' attribute.
  See Also:
    `isBitDataSupported()`

### getMaximumValue

    long getMaximumValue()

  Returns the value of the 'Maximum Value' attribute.

  If the meaning of the 'Maximum Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Value' attribute.
  See Also:
    `setMaximumValue(long)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MaximumValue()`

### setMaximumValue

    void setMaximumValue(long value)

  Sets the value of the '`Maximum Value`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Value' attribute.
  See Also:
    `getMaximumValue()`

### getMinimumValue

    long getMinimumValue()

  Returns the value of the 'Minimum Value' attribute.

  If the meaning of the 'Minimum Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Minimum Value' attribute.
  See Also:
    `setMinimumValue(long)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MinimumValue()`

### setMinimumValue

    void setMinimumValue(long value)

  Sets the value of the '`Minimum Value`' attribute.

  Parameters:
    `value` - the new value of the 'Minimum Value' attribute.
  See Also:
    `getMinimumValue()`

### getMaximumLength

    int getMaximumLength()

  Returns the value of the 'Maximum Length' attribute.

  If the meaning of the 'Maximum Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Length' attribute.
  See Also:
    `setMaximumLength(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MaximumLength()`

### setMaximumLength

    void setMaximumLength(int value)

  Sets the value of the '`Maximum Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Length' attribute.
  See Also:
    `getMaximumLength()`

### getMaximumPrecision

    int getMaximumPrecision()

  Returns the value of the 'Maximum Precision' attribute.

  If the meaning of the 'Maximum Precision' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Precision' attribute.
  See Also:
    `setMaximumPrecision(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MaximumPrecision()`

### setMaximumPrecision

    void setMaximumPrecision(int value)

  Sets the value of the '`Maximum Precision`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Precision' attribute.
  See Also:
    `getMaximumPrecision()`

### getMaximumScale

    int getMaximumScale()

  Returns the value of the 'Maximum Scale' attribute.

  If the meaning of the 'Maximum Scale' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Scale' attribute.
  See Also:
    `setMaximumScale(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MaximumScale()`

### setMaximumScale

    void setMaximumScale(int value)

  Sets the value of the '`Maximum Scale`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Scale' attribute.
  See Also:
    `getMaximumScale()`

### getMinimumScale

    int getMinimumScale()

  Returns the value of the 'Minimum Scale' attribute.

  If the meaning of the 'Minimum Scale' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Minimum Scale' attribute.
  See Also:
    `setMinimumScale(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_MinimumScale()`

### setMinimumScale

    void setMinimumScale(int value)

  Sets the value of the '`Minimum Scale`' attribute.

  Parameters:
    `value` - the new value of the 'Minimum Scale' attribute.
  See Also:
    `getMinimumScale()`

### getDefaultValueTypes

    EList getDefaultValueTypes()

  Returns the value of the 'Default Value Types' attribute list. The list contents are of type `String`.

  If the meaning of the 'Default Value Types' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value Types' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultValueTypes()`

### getPrimitiveType

    PrimitiveType getPrimitiveType()

  Returns the value of the 'Primitive Type' attribute. The literals are from the enumeration `PrimitiveType`.

  If the meaning of the 'Primitive Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Primitive Type' attribute.
  See Also:
    `PrimitiveType`, `setPrimitiveType(PrimitiveType)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_PrimitiveType()`

### setPrimitiveType

    void setPrimitiveType(PrimitiveType value)

  Sets the value of the '`Primitive Type`' attribute.

  Parameters:
    `value` - the new value of the 'Primitive Type' attribute.
  See Also:
    `PrimitiveType`, `getPrimitiveType()`

### getName

    EList getName()

  Returns the value of the 'Name' attribute list. The list contents are of type `String`.

  If the meaning of the 'Name' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_Name()`

### getJdbcEnumType

    int getJdbcEnumType()

  Returns the value of the 'Jdbc Enum Type' attribute.

  If the meaning of the 'Jdbc Enum Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Jdbc Enum Type' attribute.
  See Also:
    `setJdbcEnumType(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_JdbcEnumType()`

### setJdbcEnumType

    void setJdbcEnumType(int value)

  Sets the value of the '`Jdbc Enum Type`' attribute.

  Parameters:
    `value` - the new value of the 'Jdbc Enum Type' attribute.
  See Also:
    `getJdbcEnumType()`

### getCharacterSet

    EList getCharacterSet()

  Returns the value of the 'Character Set' attribute list. The list contents are of type `String`.

  If the meaning of the 'Character Set' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Character Set' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_CharacterSet()`

### getEncodingScheme

    EList getEncodingScheme()

  Returns the value of the 'Encoding Scheme' attribute list. The list contents are of type `String`.

  If the meaning of the 'Encoding Scheme' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encoding Scheme' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_EncodingScheme()`

### getCharacterSetSuffix

    java.lang.String getCharacterSetSuffix()

  Returns the value of the 'Character Set Suffix' attribute. The default value is `""`.

  If the meaning of the 'Character Set Suffix' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Character Set Suffix' attribute.
  See Also:
    `setCharacterSetSuffix(String)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_CharacterSetSuffix()`

### setCharacterSetSuffix

    void setCharacterSetSuffix(java.lang.String value)

  Sets the value of the '`Character Set Suffix`' attribute.

  Parameters:
    `value` - the new value of the 'Character Set Suffix' attribute.
  See Also:
    `getCharacterSetSuffix()`

### getEncodingSchemeSuffix

    java.lang.String getEncodingSchemeSuffix()

  Returns the value of the 'Encoding Scheme Suffix' attribute. The default value is `""`.

  If the meaning of the 'Encoding Scheme Suffix' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encoding Scheme Suffix' attribute.
  See Also:
    `setEncodingSchemeSuffix(String)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_EncodingSchemeSuffix()`

### setEncodingSchemeSuffix

    void setEncodingSchemeSuffix(java.lang.String value)

  Sets the value of the '`Encoding Scheme Suffix`' attribute.

  Parameters:
    `value` - the new value of the 'Encoding Scheme Suffix' attribute.
  See Also:
    `getEncodingSchemeSuffix()`

### getJavaClassName

    java.lang.String getJavaClassName()

  Returns the value of the 'Java Class Name' attribute.

  If the meaning of the 'Java Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Java Class Name' attribute.
  See Also:
    `setJavaClassName(String)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_JavaClassName()`

### setJavaClassName

    void setJavaClassName(java.lang.String value)

  Sets the value of the '`Java Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Java Class Name' attribute.
  See Also:
    `getJavaClassName()`

### getDefaultLength

    int getDefaultLength()

  Returns the value of the 'Default Length' attribute.

  If the meaning of the 'Default Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Length' attribute.
  See Also:
    `setDefaultLength(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultLength()`

### setDefaultLength

    void setDefaultLength(int value)

  Sets the value of the '`Default Length`' attribute.

  Parameters:
    `value` - the new value of the 'Default Length' attribute.
  See Also:
    `getDefaultLength()`

### getDefaultPrecision

    int getDefaultPrecision()

  Returns the value of the 'Default Precision' attribute.

  If the meaning of the 'Default Precision' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Precision' attribute.
  See Also:
    `setDefaultPrecision(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultPrecision()`

### setDefaultPrecision

    void setDefaultPrecision(int value)

  Sets the value of the '`Default Precision`' attribute.

  Parameters:
    `value` - the new value of the 'Default Precision' attribute.
  See Also:
    `getDefaultPrecision()`

### getDefaultScale

    int getDefaultScale()

  Returns the value of the 'Default Scale' attribute.

  If the meaning of the 'Default Scale' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Scale' attribute.
  See Also:
    `setDefaultScale(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DefaultScale()`

### setDefaultScale

    void setDefaultScale(int value)

  Sets the value of the '`Default Scale`' attribute.

  Parameters:
    `value` - the new value of the 'Default Scale' attribute.
  See Also:
    `getDefaultScale()`

### getCutoffPrecision

    int getCutoffPrecision()

  Returns the value of the 'Cutoff Precision' attribute.

  If the meaning of the 'Cutoff Precision' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cutoff Precision' attribute.
  See Also:
    `setCutoffPrecision(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_CutoffPrecision()`

### setCutoffPrecision

    void setCutoffPrecision(int value)

  Sets the value of the '`Cutoff Precision`' attribute.

  Parameters:
    `value` - the new value of the 'Cutoff Precision' attribute.
  See Also:
    `getCutoffPrecision()`

### getLengthUnit

    LengthUnit getLengthUnit()

  Returns the value of the 'Length Unit' attribute. The literals are from the enumeration `LengthUnit`.

  If the meaning of the 'Length Unit' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Length Unit' attribute.
  See Also:
    `LengthUnit`, `setLengthUnit(LengthUnit)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_LengthUnit()`

### setLengthUnit

    void setLengthUnit(LengthUnit value)

  Sets the value of the '`Length Unit`' attribute.

  Parameters:
    `value` - the new value of the 'Length Unit' attribute.
  See Also:
    `LengthUnit`, `getLengthUnit()`

### isOrderingSupported

    boolean isOrderingSupported()

  Returns the value of the 'Ordering Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Ordering Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ordering Supported' attribute.
  See Also:
    `setOrderingSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_OrderingSupported()`

### setOrderingSupported

    void setOrderingSupported(boolean value)

  Sets the value of the '`Ordering Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Ordering Supported' attribute.
  See Also:
    `isOrderingSupported()`

### isGroupingSupported

    boolean isGroupingSupported()

  Returns the value of the 'Grouping Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Grouping Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grouping Supported' attribute.
  See Also:
    `setGroupingSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_GroupingSupported()`

### setGroupingSupported

    void setGroupingSupported(boolean value)

  Sets the value of the '`Grouping Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Grouping Supported' attribute.
  See Also:
    `isGroupingSupported()`

### getDisplayName

    java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute.

  If the meaning of the 'Display Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `setDisplayName(String)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DisplayName()`

### setDisplayName

    void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `getDisplayName()`

### isDisplayNameSupported

    boolean isDisplayNameSupported()

  Returns the value of the 'Display Name Supported' attribute.

  If the meaning of the 'Display Name Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name Supported' attribute.
  See Also:
    `setDisplayNameSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_DisplayNameSupported()`

### setDisplayNameSupported

    void setDisplayNameSupported(boolean value)

  Sets the value of the '`Display Name Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name Supported' attribute.
  See Also:
    `isDisplayNameSupported()`

### isLeadingFieldQualifierSupported

    boolean isLeadingFieldQualifierSupported()

  Returns the value of the 'Leading Field Qualifier Supported' attribute.

  If the meaning of the 'Leading Field Qualifier Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Leading Field Qualifier Supported' attribute.
  See Also:
    `setLeadingFieldQualifierSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_LeadingFieldQualifierSupported()`

### setLeadingFieldQualifierSupported

    void setLeadingFieldQualifierSupported(boolean value)

  Sets the value of the '`Leading Field Qualifier Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Leading Field Qualifier Supported' attribute.
  See Also:
    `isLeadingFieldQualifierSupported()`

### isTrailingFieldQualifierSupported

    boolean isTrailingFieldQualifierSupported()

  Returns the value of the 'Trailing Field Qualifier Supported' attribute.

  If the meaning of the 'Trailing Field Qualifier Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Trailing Field Qualifier Supported' attribute.
  See Also:
    `setTrailingFieldQualifierSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_TrailingFieldQualifierSupported()`

### setTrailingFieldQualifierSupported

    void setTrailingFieldQualifierSupported(boolean value)

  Sets the value of the '`Trailing Field Qualifier Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Trailing Field Qualifier Supported' attribute.
  See Also:
    `isTrailingFieldQualifierSupported()`

### getFieldQualifierSeparator

    java.lang.String getFieldQualifierSeparator()

  Returns the value of the 'Field Qualifier Separator' attribute.

  If the meaning of the 'Field Qualifier Separator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Field Qualifier Separator' attribute.
  See Also:
    `setFieldQualifierSeparator(String)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_FieldQualifierSeparator()`

### setFieldQualifierSeparator

    void setFieldQualifierSeparator(java.lang.String value)

  Sets the value of the '`Field Qualifier Separator`' attribute.

  Parameters:
    `value` - the new value of the 'Field Qualifier Separator' attribute.
  See Also:
    `getFieldQualifierSeparator()`

### isLargeValueSpecifierSupported

    boolean isLargeValueSpecifierSupported()

  Returns the value of the 'Large Value Specifier Supported' attribute.

  If the meaning of the 'Large Value Specifier Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Large Value Specifier Supported' attribute.
  See Also:
    `setLargeValueSpecifierSupported(boolean)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_LargeValueSpecifierSupported()`

### setLargeValueSpecifierSupported

    void setLargeValueSpecifierSupported(boolean value)

  Sets the value of the '`Large Value Specifier Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Large Value Specifier Supported' attribute.
  See Also:
    `isLargeValueSpecifierSupported()`

### getLargeValueSpecifierName

    java.lang.String getLargeValueSpecifierName()

  Returns the value of the 'Large Value Specifier Name' attribute.

  If the meaning of the 'Large Value Specifier Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Large Value Specifier Name' attribute.
  See Also:
    `setLargeValueSpecifierName(String)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_LargeValueSpecifierName()`

### setLargeValueSpecifierName

    void setLargeValueSpecifierName(java.lang.String value)

  Sets the value of the '`Large Value Specifier Name`' attribute.

  Parameters:
    `value` - the new value of the 'Large Value Specifier Name' attribute.
  See Also:
    `getLargeValueSpecifierName()`

### getLargeValueSpecifierLength

    int getLargeValueSpecifierLength()

  Returns the value of the 'Large Value Specifier Length' attribute.

  If the meaning of the 'Large Value Specifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Large Value Specifier Length' attribute.
  See Also:
    `setLargeValueSpecifierLength(int)`, `DatabaseDefinitionPackage.getPredefinedDataTypeDefinition_LargeValueSpecifierLength()`

### setLargeValueSpecifierLength

    void setLargeValueSpecifierLength(int value)

  Sets the value of the '`Large Value Specifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Large Value Specifier Length' attribute.
  See Also:
    `getLargeValueSpecifierLength()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.